## python-os-refresh-config 0.1.2

=== requirements.txt ===
argparse
pbr>=0.6,<1.0

=== debian/changelog ===
python-os-refresh-config (0.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Apr 2014 11:01:36 +0000

python-os-refresh-config (0.1.1-1) experimental; urgency=low

  * Initial release. (Closes: #732177)

 -- Thomas Goirand <zigo@debian.org>  Sun, 16 Mar 2014 16:31:21 +0800

=== debian/control ===
Source: python-os-refresh-config
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-pbr (>= 0.6),
               python-setuptools,
               python-sphinx (>= 1.1.2)
Build-Depends-Indep: python-babel (>= 1.3),
                     python-coverage (>= 3.6),
                     python-fixtures (>= 0.3.14),
                     python-subunit (>= 0.0.18),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 0.9.34),
                     testrepository (>= 0.0.18),
                     subunit (>= 0.0.18)
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-os-refresh-config.git
Vcs-Git: git://anonscm.debian.org/openstack/python-os-refresh-config.git
Homepage: http://github.com/openstack/os-refresh-config

Package: python-os-refresh-config
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-pbr (>= 0.6), ${misc:Depends}, ${python:Depends}
Recommends: ${python:Recommends}
Description: refresh system configuration of an OpenStack TripleO node
 Runs through all of the phases to ensure configuration is applied and enabled
 on a machine running a TripleO undercloud. Will exit with an error if any
 phase has a problem.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = git://github.com/openstack/os-refresh-config.git
include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e && \
		TEMP_REZ=`mktemp -t` && \
		python setup.py testr --slowest --testr-args='--subunit  ' \
			| tee $$TEMP_REZ | subunit2pyunit && \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats && \
		rm -f $$TEMP_REZ
endif

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/o/os-refresh-config os-refresh-config-(.*).tar.gz

## python-os-refresh-config 10.1.0

=== debian/changelog ===
python-os-refresh-config (10.1.0-3build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:38:51 +0100

python-os-refresh-config (10.1.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Run wrap-and-sort -bastk.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Oct 2019 00:50:11 +0200

python-os-refresh-config (10.1.0-2) experimental; urgency=medium

  * Add Breaks+Replaces python-os-refresh-config (Closes: #941028).

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Sep 2019 11:05:01 +0200

python-os-refresh-config (10.1.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * Use debhelper-compat instead of debian/compat.

  [ Daniel Baumann ]
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * Remove Julien and Mehdi from uploaders (Closes: #928591).
  * New upstream release.
  * Switch the package to Python 3 (Closes: #0937989).
  * Blacklist all of os_refresh_config.tests.test_cmd.TestCmd.* tests.
  * Add missing dh-python build-depends.
  * Fixed d/coyright ordering and years.

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Jul 2019 23:55:25 +0200

=== debian/control ===
Source: python-os-refresh-config
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 9),
 dh-python,
 openstack-pkg-tools (>= 99~),
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-babel,
 python3-coverage,
 python3-dib-utils,
 python3-fixtures,
 python3-mock,
 python3-psutil,
 python3-stestr,
 python3-subunit,
 python3-testscenarios,
 python3-testtools,
 subunit,
Standards-Version: 4.1.0
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-os-refresh-config
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-os-refresh-config.git
Homepage: https://github.com/openstack/os-refresh-config

Package: python3-os-refresh-config
Architecture: all
Depends:
 python3-dib-utils,
 python3-pbr,
 python3-psutil,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python-os-refresh-config,
Replaces:
 python-os-refresh-config,
Description: refresh system configuration of an OpenStack TripleO node
 Runs through all of the phases to ensure configuration is applied and enabled
 on a machine running a TripleO undercloud. Will exit with an error if any
 phase has a problem.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/os-refresh-config.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	echo "Do nothing..."

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'os_refresh_config\.tests\.(?!(.*test_cmd\.TestCmd.*))'
endif

## python-os-refresh-config 12.0.0

=== debian/changelog ===
python-os-refresh-config (12.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Removed python3-mock from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 Jan 2021 10:49:20 +0100

python-os-refresh-config (10.1.0-4) unstable; urgency=medium

  * Add missing override_dh_python3 to fix shebang.
  * Switch to debhelper 11 and Standards-Version: 4.5.0.

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Apr 2020 15:42:57 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 9),
+ debhelper-compat (= 11),
  dh-python,
  openstack-pkg-tools (>= 99~),
  python3-all,
@@ -17,14 +17,13 @@
  python3-coverage,
  python3-dib-utils,
  python3-fixtures,
- python3-mock,
  python3-psutil,
  python3-stestr,
  python3-subunit,
  python3-testscenarios,
  python3-testtools,
  subunit,
-Standards-Version: 4.1.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-os-refresh-config
 Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-os-refresh-config.git
 Homepage: https://github.com/openstack/os-refresh-config

=== debian/rules ===
--- 
+++ 
@@ -21,3 +21,6 @@
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	pkgos-dh_auto_test --no-py2 'os_refresh_config\.tests\.(?!(.*test_cmd\.TestCmd.*))'
 endif
+
+override_dh_python3:
+	dh_python3 --shebang=/usr/bin/python3

## python-os-refresh-config 13.0.1

=== debian/changelog ===
python-os-refresh-config (13.0.1-1) unstable; urgency=medium

  [ Mickael Asseline ]
  * New upstream release.
  * Added myself in copyright and uploaders.

  [ Thomas Goirand ]
  * Cleans better (Closes: #1046156).

 -- Thomas Goirand <zigo@debian.org>  Thu, 17 Aug 2023 11:31:05 +0200

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,8 @@
 	dh $@ --buildsystem=python_distutils --with python3
 
 override_dh_auto_clean:
-	echo "Do nothing..."
+	rm -rf build
+	find . -type d -name __pycache__ -exec rm -r {} \+
 
 override_dh_auto_build:
 	echo "Do nothing..."

## python-os-refresh-config 13.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
dib-utils>=0.0.8 # Apache-2.0
psutil>=3.2.2 # BSD

=== debian/changelog ===
python-os-refresh-config (13.1.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090553).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 09:26:16 +0100

python-os-refresh-config (13.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 22:07:58 +0200

python-os-refresh-config (13.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Aug 2023 11:12:46 +0200

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
+ Mickael Asseline <mickael@papamica.com>,
 Build-Depends:
  debhelper-compat (= 11),
  dh-python,

## python-os-refresh-config 14.0.1

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
psutil>=3.2.2 # BSD

=== debian/changelog ===
python-os-refresh-config (14.0.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Sep 2025 09:15:52 +0200

python-os-refresh-config (14.0.1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Aug 2025 12:16:44 +0200

=== debian/control ===
--- 
+++ 
@@ -16,13 +16,10 @@
 Build-Depends-Indep:
  python3-babel,
  python3-coverage,
- python3-dib-utils,
  python3-fixtures,
  python3-psutil,
  python3-stestr,
  python3-subunit,
- python3-testscenarios,
- python3-testtools,
  subunit,
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-os-refresh-config
@@ -32,7 +29,6 @@
 Package: python3-os-refresh-config
 Architecture: all
 Depends:
- python3-dib-utils,
  python3-pbr,
  python3-psutil,
  ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,10 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_auto_clean:
-	rm -rf build
+	rm -rf build *.egg-info
 	find . -type d -name __pycache__ -exec rm -r {} \+
 
 override_dh_auto_build:
